* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  box-sizing: border-box;
}

:root {
  --light-color: #f1ddcf;
  --light-alternative-color: #fdfbf7;
  --dark-color: #000;
  --fs-header-logo: clamp(1.7rem, 2vw, 1.7rem);
  --fs-body: clamp(1.4rem, 1vw, 1.6rem);
  --fs-ui: clamp(1.2rem, 1.2vw, 1.2rem);
  --fs-heading: clamp(7rem, 9vw, 12rem);
  --fs-display: clamp(8rem, 22vw, 35rem);
}

html {
  font-size: 62.5%;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

html::-webkit-scrollbar {
  display: none;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

body {
  background-color: var(--dark-color);
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
  font-size: var(--fs-body);
  letter-spacing: 0.13em;
}

body.is-home {
  overflow: hidden;
}

.display-center {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

a {
  color: var(--dark-color);
}

header {
  position: fixed;
  top: 0;
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 1.3rem 2rem;
  z-index: 10;
  pointer-events: none;
}

header a {
  font-family: "Bodoni Moda", serif;
  font-size: var(--fs-header-logo);
  font-weight: 700;
  pointer-events: auto;
}

header span {
  text-transform: uppercase;
  font-size: var(--fs-ui);
  cursor: default;
}

main {
  background-color: var(--light-color);
}

.hero {
  height: 100dvh;
}

.works-wrapper {
  position: relative;
  height: 100vh;
  width: 50%;
  perspective: 800px;
  overflow: hidden;
  transform-style: preserve-3d;
}

.work {
  position: absolute;
  left: 0;
  right: 0;
  width: 100%;
  height: 60vh;
  will-change: transform;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  cursor: pointer;
  overflow: hidden;
  background-color: #000;
  transform: translate3d(0, 0, 0);
  clip-path: polygon(0% 100%, 100% 100%, 100% 100%, 0% 100%);
}

.work figure {
  width: 100%;
  height: 100%;
}

.immersive-video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transform: translateZ(0);
}

.work1 {
  transform: rotateY(45deg);
  z-index: 4;
}

.work2 {
  transform: rotateY(-45deg);
  z-index: 3;
}

.work3 {
  transform: rotateY(45deg);
  z-index: 2;
}

.work4 {
  transform: rotateY(-45deg);
  z-index: 1;
}

.about-page-link {
  position: absolute;
  top: 50%;
  left: 2rem;
  z-index: 10;
  text-transform: uppercase;
  font-size: var(--fs-ui);
}

footer {
  position: fixed;
  bottom: 0;
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 1.3rem 2rem;
  z-index: 10;
  text-transform: uppercase;
  pointer-events: none;
}

footer a {
  pointer-events: auto;
  font-size: var(--fs-ui);
}

.work-hero {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  height: 100vh;
  padding-left: 2rem;
  background-color: var(--light-color);
  z-index: 10;
}

.work-hero h1 {
  font-size: var(--fs-heading);
  font-family: "Bodoni Moda", serif;
}

.work-hero p {
  display: flex;
  justify-self: center;
  align-self: center;
  width: 20%;
  font-size: var(--fs-body);
  line-height: 1.4em;
  letter-spacing: -0.014em;
  font-weight: 600;
  text-align: justify;
}

.parallax-work-image {
  position: relative;
  height: 100vh;
  width: 100%;
  z-index: 1;
}

.parallax-work-image img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

.work-images-grid {
  position: relative;
  gap: 7rem;
  padding: 9rem;
  background-color: var(--light-color);
  z-index: 10;
}

.work-image {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3rem;
  width: 80%;
  background-color: var(--light-alternative-color);
  height: 90vh;
}

.work-image img {
  width: 75%;
  height: 60%;
  object-fit: cover;
  object-position: center;
}

img.work-mobile-image {
  width: 20% !important;
  height: 60%;
}

.top-scroll-btn {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 1.3rem;
  font-size: var(--fs-ui);
  text-transform: uppercase;
  cursor: pointer;
}

.about-hero {
  position: relative;
  height: 100vh;
  justify-content: center;
  padding: 5% 0;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.about-hero span {
  font-size: var(--fs-display);
  line-height: 0.75;
  font-family: "Bodoni Moda", serif;
  font-weight: 700;
}

.about-hero .luiz {
  align-self: flex-end;
  text-align: right;
}

.about-hero .gustavo {
  align-self: flex-start;
  text-align: left;
}

.about-text-container {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
  grid-template-areas:
    "text1 . ."
    ". text2 ."
    ". . text3";
  min-height: 170vh;
  padding: 4rem 2rem;
}

.about-text-container p {
  font-size: var(--fs-body);
  line-height: 1.4em;
  letter-spacing: -0.014em;
  font-weight: 600;
  text-align: justify;
  width: 80%;
  align-self: center;
  justify-self: center;
}

.text1 {
  grid-area: text1;
}

.text2 {
  grid-area: text2;
}

.text3 {
  grid-area: text3;
}

@media (max-width: 1024px) {
  .works-wrapper {
    width: 90%;
  }

  .work {
    width: 100%;
    height: 27vh;
  }

  header span {
    display: none;
  }

  .work-hero {
    justify-content: center;
    gap: 9rem;
  }

  .work-hero h1 {
    line-height: 1.3;
  }

  .work-hero p {
    align-self: start;
    width: 60%;
    font-weight: 600;
  }

  .work-images-grid {
    padding: 9rem 2rem;
  }

  .work-image {
    width: 100%;
    height: 30vh;
  }

  .work-image img {
    width: 90%;
    height: 70%;
  }

  img.work-mobile-image {
    width: 23% !important;
  }

  .about-hero {
    height: 50vh;
  }

  .about-hero span {
    display: none;
  }

  .about-hero h1.visually-hidden {
    position: relative;
    width: auto;
    height: auto;
    margin: 0;
    padding-left: 2rem;
    clip: none;
    font-family: "Bodoni Moda", serif;
    font-size: 7rem;
    line-height: 1.3;
  }

  .about-text-container {
    grid-template-columns: 1fr;
    grid-template-areas:
      "text1"
      "text2"
      "text3";
    min-height: 170vh;
    gap: 2rem;
    padding: 7rem 2rem;
  }

  .about-text-container p {
    width: 70%;
    align-self: flex-start;
    justify-self: start;
  }
}

@media (min-width: 1800px) {
  :root {
    --fs-header-logo: clamp(2.5rem, 2vw, 3rem);
    --fs-body: clamp(2rem, 1vw, 3rem);
    --fs-ui: clamp(1.7rem, 1vw, 2rem);
    --fs-heading: clamp(12rem, 15vw, 25rem);
    --fs-display: clamp(40rem, 25vw, 90rem);
  }

  .work1 {
    transform: rotateY(37deg);
    z-index: 4;
  }

  .work2 {
    transform: rotateY(-37deg);
    z-index: 3;
  }

  .work3 {
    transform: rotateY(37deg);
    z-index: 2;
  }

  .work4 {
    transform: rotateY(-37deg);
    z-index: 1;
  }
}
